HistoryTreeNode (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.history
Class HistoryTreeNode

    java.lang.Object
      org.maltparser.parser.history.HistoryTreeNode

All Implemented Interfaces:
  HistoryNode

    public class HistoryTreeNode

extends Object
implements HistoryNode

Author:
  Johan Hall

Constructor Summary
`HistoryTreeNode(HistoryNode previousNode, GuideUserAction action)`

Method Summary
`void` | `addChild(HistoryTreeNode child)`
`void` | `clear()`
`boolean` | `equals(Object obj)`
`GuideUserAction` | `getAction()`
`HistoryTreeNode` | `getChild(ActionDecision childDecision)`
`int` | `getDepth()`
`int` | `getPosition()`
`HistoryNode` | `getPreviousNode()`
`int` | `hashCode()`
`void` | `removeChild(HistoryTreeNode child)`
`void` | `setAction(GuideUserAction action)`
`void` | `setDepth(int depth)`
`void` | `setPreviousNode(HistoryNode node)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HistoryTreeNode

    public HistoryTreeNode(HistoryNode previousNode,
                           GuideUserAction action)

Method Detail

### getAction

    public GuideUserAction getAction()

  Specified by:
    `getAction` in interface `HistoryNode`

### setAction

    public void setAction(GuideUserAction action)

  Specified by:
    `setAction` in interface `HistoryNode`

### getPreviousNode

    public HistoryNode getPreviousNode()

  Specified by:
    `getPreviousNode` in interface `HistoryNode`

### setPreviousNode

    public void setPreviousNode(HistoryNode node)

  Specified by:
    `setPreviousNode` in interface `HistoryNode`

### getDepth

    public int getDepth()

### setDepth

    public void setDepth(int depth)

### addChild

    public void addChild(HistoryTreeNode child)

### removeChild

    public void removeChild(HistoryTreeNode child)

### getChild

    public HistoryTreeNode getChild(ActionDecision childDecision)

### getPosition

    public int getPosition()

  Specified by:
    `getPosition` in interface `HistoryNode`

### clear

    public void clear()
               throws MaltChainedException

  Specified by:
    `clear` in interface `HistoryNode`
  Throws:
    `MaltChainedException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.